#include "shared.h"

/* For self-references.
   In the same file, this gives compiler warnings
   'externvar' defined locally after being referenced with dllimport linkage
   'externfunc' defined locally after being referenced with dllimport linkage
   and no self-references at object file level.  */
#if 0
int externfunc2 (int x)
{
  return externvar[x] + externreadonlyvar[x] + externfunc (0);
}
#else
extern int externfunc2 (int x);
#endif

int externvar[5] = { 11, 22, 33, 44, 55 };

int const externreadonlyvar[5] = { 11, 22, 33, 44, 55 };

int externfunc (int x)
{
  if (x == 0)
    return 42;
  else
    return externfunc2 (x);
}
